Skip to main content
Identity & Access/ZIAM

ZiamListResources

Lists resources in a collection. Users, organizations, groups, roles, applications, providers, tenants, projects, project memberships, and role bindings are ZIAM-owned resources stored in the ZIAM database.

GET/api/v1/ziam/resources/{collection}

Operation ID

ZiamListResources

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • status
    String

    Status for this resource

    Example: ok

  • data
    List

    Response payload data

    Example: (nested array)

    • uuid
      String

      Stable resource uuid. Generated when omitted for create.

      Example: 11111111111111111111111111111111

    • name
      String

      Canonical resource name or user login name.

      Example: alice

    • userName
      String

      Alias accepted for user login name. Normalized to name/userName for users.

      Example: alice

    • displayName
      String

      Display name.

      Example: Alice

    • description
      String

      Brief resource description shown on resource detail pages.

      Example: A brief description

    • password
      String

      User password for create or password update. ZIAM hashes it into the internal credential and never returns it by list/detail APIs.

      Example: password123

    • confirmPassword
      String

      Optional confirmation password. Must match password when present.

      Example: password123

    • email
      String

      User email. Must be unique when supplied.

      Example: alice@example.com

    • phone
      String

      Canonical E.164 phone number.

      Example: +8613800138000

    • phoneNumber
      String

      Accepted alias for phone. ZIAM normalizes it to phone.

      Example: +8613800138000

    • mobile
      String

      Accepted alias for phone. ZIAM normalizes it to phone.

      Example: +8613800138000

    • source
      String

      Identity data source. ZIAM-created resources use ZIAM.

      Example: ZIAM

    • status
      String

      Normalized status such as Enabled, Disabled, Locked, or Deleted.

      Example: Enabled

    • credentialStatus
      Object

      Credential status for this resource

      • type
        String

        Credential type.

        Example: password

      • algorithm
        String

        Password verifier algorithm used internally by ZIAM.

        Example: argon2id

      • version
        Long

        Credential schema or policy version.

        Example: 1

      • status
        String

        Credential status.

        Example: Active

      • mustChange
        Boolean

        Whether the user must change the password on next login.

        Example: false

      • createdAt
        String

        Credential creation time.

        Example: 2026-06-17T01:00:00Z

      • updatedAt
        String

        Last credential update time.

        Example: 2026-06-17T01:00:00Z

    • createdAt
      String

      Normalized creation time returned by ZIAM when available.

      Example: 2026-06-16T10:00:00Z

    • updatedAt
      String

      Normalized update time returned by ZIAM when available.

      Example: 2026-06-16T10:30:00Z

    • lastLoginTime
      String

      Normalized last login time returned for users when available.

      Example: 2026-06-16T10:00:00Z

    • lastLoginIp
      String

      Normalized last login IP returned for users when available.

      Example: 172.26.53.126

    • groups
      List

      User list display aggregate. Groups related to the user.

      Example: (nested array)

      • id
        String

        Stable ZIAM group id. Generated when omitted.

        Example: group-001

      • uuid
        String

        Unique identifier of this resource

        Example: group-001

      • source
        String

        Source for this resource

        Example: ZIAM

      • ziamGroupId
        String

        ZIAM group id exposed for Cloud detail pages.

        Example: group-001

      • name
        StringRequired

        Human-readable name of this resource

        Example: Operators

      • displayName
        String

        Display name for this resource

        Example: Operators

      • description
        String

        Description for this resource

        Example: A brief description

      • projectId
        String

        Optional project id that owns this group.

        Example: project-001

      • projectUuid
        String

        Project uuid for this resource

        Example: project-001

      • enabled
        Boolean

        Enabled for this resource

        Example: true

      • active
        Boolean

        Active for this resource

        Example: true

      • members
        List

        Members for this resource

        Example: (nested array)

        • value
          String

          Stable member uuid. ZIAM normalizes uuid into value.

          Example: 11111111111111111111111111111111

        • uuid
          String

          Stable member uuid.

          Example: 11111111111111111111111111111111

        • display
          String

          Display for this resource

          Example: Alice

        • joinedAt
          String

          Time when the user was added to this organization or group.

          Example: 2026-06-16T10:00:00Z

      • attributes
        Object

        Attributes for this resource

        Example: (nested object)

      • resourceVersion
        Long

        Monotonic version used by downstream sync.

        Example: 10

      • status
        String

        Normalized resource status.

        Example: Enabled

      • createdAt
        String

        Creation time returned by ZIAM when available.

        Example: 2026-01-15T08:00:00Z

      • updatedAt
        String

        Update time returned by ZIAM when available.

        Example: 2026-01-15T08:00:00Z

      • userCount
        Long

        Count of direct user members.

        Example: 1

      • directUserCount
        Long

        Count of direct user members.

        Example: 1

      • projects
        List

        Projects related to this group.

        Example: (nested array)

        • id
          String

          Stable ZIAM project id. Generated when omitted.

          Example: project-001

        • uuid
          String

          Unique identifier of this resource

          Example: project-001

        • source
          String

          Source for this resource

          Example: ZIAM

        • ziamProjectId
          String

          ZIAM project id exposed for Cloud detail pages.

          Example: project-001

        • name
          StringRequired

          Human-readable name of this resource

          Example: Project A

        • displayName
          String

          Display name for this resource

          Example: Project A

        • description
          String

          Description for this resource

          Example: A brief description

        • organizationId
          String

          Organization or department id this project belongs to.

          Example: dept-001

        • organizationUuid
          String

          Organization uuid for this resource

          Example: dept-001

        • tenantId
          String

          Tenant or account id used by downstream products.

          Example: tenant-001

        • tenantUuid
          String

          Tenant uuid for this resource

          Example: tenant-001

        • accountId
          String

          Optional downstream account id.

          Example: account-001

        • accountUuid
          String

          Account uuid for this resource

          Example: account-001

        • linkAccountUuid
          String

          Optional Cloud project linked account uuid.

          Example: account-001

        • enabled
          Boolean

          Enabled for this resource

          Example: true

        • active
          Boolean

          Active for this resource

          Example: true

        • attributes
          Object

          Attributes for this resource

          Example: (nested object)

        • resourceVersion
          Long

          Monotonic version used by downstream sync.

          Example: 10

        • status
          String

          Normalized resource status.

          Example: Enabled

        • createdAt
          String

          Creation time returned by ZIAM when available.

          Example: 2026-01-15T08:00:00Z

        • updatedAt
          String

          Update time returned by ZIAM when available.

          Example: 2026-01-15T08:00:00Z

        • userCount
          Long

          Count of direct user members in this project.

          Example: 1

        • directUserCount
          Long

          Count of direct user members in this project.

          Example: 1

        • groupCount
          Long

          Count of user groups in this project.

          Example: 1

        • userGroupCount
          Long

          Count of user groups in this project.

          Example: 1

        • joinedAt
          String

          Relationship join time when the resource is returned as a related project row.

          Example: 2026-01-15T08:00:00Z

      • projectNames
        List

        Names of projects related to this group.

        Example: item1,item2

      • projectCount
        Long

        Count of projects related to this group.

        Example: 1

      • joinedAt
        String

        Relationship join time when the resource is returned as a related group row.

        Example: 2026-01-15T08:00:00Z

    • groupNames
      List

      User or group list display aggregate. Related group names.

      Example: item1,item2

    • groupCount
      Long

      Display aggregate count of groups related to a project.

      Example: 1

    • organizations
      List

      User list display aggregate. Direct organizations or departments related to the user.

      Example: (nested array)

      • id
        String

        Stable ZIAM organization id. Generated when omitted.

        Example: dept-001

      • uuid
        String

        Same identity as id for downstream SCIM receivers.

        Example: dept-001

      • source
        String

        Identity data source. ZIAM-created resources use ZIAM.

        Example: ZIAM

      • ziamDepartmentId
        String

        ZIAM department id exposed for Cloud detail pages.

        Example: dept-001

      • name
        StringRequired

        Human-readable name of this resource

        Example: Engineering

      • displayName
        String

        Display name for this resource

        Example: Engineering

      • description
        String

        Description for this resource

        Example: A brief description

      • parentId
        String

        Parent organization id.

        Example: company-001

      • parentUuid
        String

        Same identity as parentId for downstream SCIM receivers.

        Example: company-001

      • rootId
        String

        Optional root organization id.

        Example: company-001

      • rootUuid
        String

        Root uuid for this resource

        Example: company-001

      • type
        String

        Cloud organization type. Defaults to Company for root nodes and Department when a parent is present.

        Example: Department

      • enabled
        Boolean

        Enabled for this resource

        Example: true

      • active
        Boolean

        Alternative enabled flag accepted by SCIM receivers.

        Example: true

      • members
        List

        Members for this resource

        Example: (nested array)

        • value
          String

          Stable member uuid. ZIAM normalizes uuid into value.

          Example: 11111111111111111111111111111111

        • uuid
          String

          Stable member uuid.

          Example: 11111111111111111111111111111111

        • display
          String

          Display for this resource

          Example: Alice

        • joinedAt
          String

          Time when the user was added to this organization or group.

          Example: 2026-06-16T10:00:00Z

      • attributes
        Object

        Attributes for this resource

        Example: (nested object)

      • resourceVersion
        Long

        Monotonic version used by downstream sync.

        Example: 10

      • status
        String

        Normalized resource status.

        Example: Enabled

      • createdAt
        String

        Creation time returned by ZIAM when available.

        Example: 2026-01-15T08:00:00Z

      • updatedAt
        String

        Update time returned by ZIAM when available.

        Example: 2026-01-15T08:00:00Z

      • ownerUuid
        String

        Organization owner user uuid when configured.

        Example: 11111111111111111111111111111111

      • ownerName
        String

        Organization owner display name resolved by ZIAM when ownerUuid is available.

        Example: Alice

      • departmentPath
        String

        Organization tree display path from root to this department.

        Example: Company/Engineering

      • departmentPathNames
        List

        Organization tree display path as separate names.

        Example: item1,item2

      • directUserCount
        Long

        Count of direct user members.

        Example: 1

      • totalUserCount
        Long

        Count of direct members plus descendant organization members.

        Example: 10

      • joinedAt
        String

        Relationship join time when the resource is returned as a related organization row.

        Example: 2026-01-15T08:00:00Z

    • directOrganizations
      List

      User list display aggregate. Direct department memberships.

      Example: (nested array)

      • id
        String

        Stable ZIAM organization id. Generated when omitted.

        Example: dept-001

      • uuid
        String

        Same identity as id for downstream SCIM receivers.

        Example: dept-001

      • source
        String

        Identity data source. ZIAM-created resources use ZIAM.

        Example: ZIAM

      • ziamDepartmentId
        String

        ZIAM department id exposed for Cloud detail pages.

        Example: dept-001

      • name
        StringRequired

        Human-readable name of this resource

        Example: Engineering

      • displayName
        String

        Display name for this resource

        Example: Engineering

      • description
        String

        Description for this resource

        Example: A brief description

      • parentId
        String

        Parent organization id.

        Example: company-001

      • parentUuid
        String

        Same identity as parentId for downstream SCIM receivers.

        Example: company-001

      • rootId
        String

        Optional root organization id.

        Example: company-001

      • rootUuid
        String

        Root uuid for this resource

        Example: company-001

      • type
        String

        Cloud organization type. Defaults to Company for root nodes and Department when a parent is present.

        Example: Department

      • enabled
        Boolean

        Enabled for this resource

        Example: true

      • active
        Boolean

        Alternative enabled flag accepted by SCIM receivers.

        Example: true

      • members
        List

        Members for this resource

        Example: (nested array)

        • value
          String

          Stable member uuid. ZIAM normalizes uuid into value.

          Example: 11111111111111111111111111111111

        • uuid
          String

          Stable member uuid.

          Example: 11111111111111111111111111111111

        • display
          String

          Display for this resource

          Example: Alice

        • joinedAt
          String

          Time when the user was added to this organization or group.

          Example: 2026-06-16T10:00:00Z

      • attributes
        Object

        Attributes for this resource

        Example: (nested object)

      • resourceVersion
        Long

        Monotonic version used by downstream sync.

        Example: 10

      • status
        String

        Normalized resource status.

        Example: Enabled

      • createdAt
        String

        Creation time returned by ZIAM when available.

        Example: 2026-01-15T08:00:00Z

      • updatedAt
        String

        Update time returned by ZIAM when available.

        Example: 2026-01-15T08:00:00Z

      • ownerUuid
        String

        Organization owner user uuid when configured.

        Example: 11111111111111111111111111111111

      • ownerName
        String

        Organization owner display name resolved by ZIAM when ownerUuid is available.

        Example: Alice

      • departmentPath
        String

        Organization tree display path from root to this department.

        Example: Company/Engineering

      • departmentPathNames
        List

        Organization tree display path as separate names.

        Example: item1,item2

      • directUserCount
        Long

        Count of direct user members.

        Example: 1

      • totalUserCount
        Long

        Count of direct members plus descendant organization members.

        Example: 10

      • joinedAt
        String

        Relationship join time when the resource is returned as a related organization row.

        Example: 2026-01-15T08:00:00Z

    • organizationNames
      List

      Display aggregate of related organization names.

      Example: item1,item2

    • departmentNames
      List

      Display aggregate of related department names.

      Example: item1,item2

    • directOrganizationCount
      Long

      Display aggregate count of direct departments.

      Example: 1

    • projects
      List

      User or group list display aggregate. Related projects.

      Example: (nested array)

      • id
        String

        Stable ZIAM project id. Generated when omitted.

        Example: project-001

      • uuid
        String

        Unique identifier of this resource

        Example: project-001

      • source
        String

        Source for this resource

        Example: ZIAM

      • ziamProjectId
        String

        ZIAM project id exposed for Cloud detail pages.

        Example: project-001

      • name
        StringRequired

        Human-readable name of this resource

        Example: Project A

      • displayName
        String

        Display name for this resource

        Example: Project A

      • description
        String

        Description for this resource

        Example: A brief description

      • organizationId
        String

        Organization or department id this project belongs to.

        Example: dept-001

      • organizationUuid
        String

        Organization uuid for this resource

        Example: dept-001

      • tenantId
        String

        Tenant or account id used by downstream products.

        Example: tenant-001

      • tenantUuid
        String

        Tenant uuid for this resource

        Example: tenant-001

      • accountId
        String

        Optional downstream account id.

        Example: account-001

      • accountUuid
        String

        Account uuid for this resource

        Example: account-001

      • linkAccountUuid
        String

        Optional Cloud project linked account uuid.

        Example: account-001

      • enabled
        Boolean

        Enabled for this resource

        Example: true

      • active
        Boolean

        Active for this resource

        Example: true

      • attributes
        Object

        Attributes for this resource

        Example: (nested object)

      • resourceVersion
        Long

        Monotonic version used by downstream sync.

        Example: 10

      • status
        String

        Normalized resource status.

        Example: Enabled

      • createdAt
        String

        Creation time returned by ZIAM when available.

        Example: 2026-01-15T08:00:00Z

      • updatedAt
        String

        Update time returned by ZIAM when available.

        Example: 2026-01-15T08:00:00Z

      • userCount
        Long

        Count of direct user members in this project.

        Example: 1

      • directUserCount
        Long

        Count of direct user members in this project.

        Example: 1

      • groupCount
        Long

        Count of user groups in this project.

        Example: 1

      • userGroupCount
        Long

        Count of user groups in this project.

        Example: 1

      • joinedAt
        String

        Relationship join time when the resource is returned as a related project row.

        Example: 2026-01-15T08:00:00Z

    • projectNames
      List

      Display aggregate of related project names.

      Example: item1,item2

    • projectCount
      Long

      Display aggregate count of related projects.

      Example: 1

    • userCount
      Long

      Display aggregate count of direct user members.

      Example: 1

    • directUserCount
      Long

      Display aggregate count of direct user members.

      Example: 1

    • userGroupCount
      Long

      Display aggregate count of user groups related to a project.

      Example: 1

    • ownerUuid
      String

      Organization owner user uuid when configured.

      Example: 11111111111111111111111111111111

    • ownerName
      String

      Organization owner display name resolved from ownerUuid when available.

      Example: Alice

    • departmentPath
      String

      Organization tree display path from root to this department.

      Example: Company/Engineering

    • departmentPathNames
      List

      Organization tree display path as separate names.

      Example: item1,item2

    • totalUserCount
      Long

      Organization display aggregate. Direct members plus descendant organization members.

      Example: 10

    • groupUuids
      List

      Optional user create field. The new user is added to these groups after creation. Use an array even when only one group is selected.

      Example: item1,item2

    • projectUuids
      List

      Optional user create field. The new user is added to these projects after creation. Use an array even when only one project is selected.

      Example: item1,item2

    • organizationUuids
      List

      Optional user create field. The new user is added to these organizations or departments after creation. Use an array even when only one organization is selected.

      Example: item1,item2

    • departmentUuids
      List

      Alias of organizationUuids for department tree UI. Use an array even when only one department is selected.

      Example: item1,item2

    • joinedAt
      String

      Relationship creation time for membership resources.

      Example: 2026-01-15T08:00:00Z

    • deletionTimestamp
      String

      Soft-delete timestamp for deleted users.

      Example: 2026-01-15T08:00:00Z

    • deletionPhase
      String

      Deletion phase for soft-deleted users.

      Example: SoftDeleted

    • retentionUntil
      String

      End of soft-delete retention window for deleted users.

      Example: 2026-01-15T08:00:00Z

    • finalizers
      List

      Deletion finalizers applied to soft-deleted users.

      Example: item1,item2